package dev.peerat.backend.model;

import java.util.List;

import dev.peerat.mapping.Treasure;

@Treasure
public class Group {

	private String name;
	private List<PeerAtUser> players;
	private Puzzle puzzle;
	private Chapter chapter;
	
	public Group(){}
	
	public String getName(){
		return this.name;
	}
	
	public List<PeerAtUser> getPlayers(){
		return this.players;
	}
	
	public Puzzle getPuzzle(){
		return this.puzzle;
	}
	
	public Chapter getChapter(){
		return this.chapter;
	}
}
